#
# (fg) 20010111 Library stuff...
#

%define libmajor 0
%define libname libdetect%{libmajor}

Name: detect
Version: 0.9.72
Release: 14mdk
Summary: Hardware detection library
Source: ftp.linux-mandrake.com/pub/harddrake/SOURCES/%{name}-%{version}.tar.bz2
Url: http://www.linux-mandrake.com/harddrake/
Patch: detect-sound.patch.bz2
Patch1: detect-po.patch.bz2
Patch2: detect-ppc.patch.bz2
Patch3: detect-ppc2.patch.bz2
Patch4: detect-ia64-io-h.patch.bz2
Patch5: detect-kver-ppc.patch.bz2
Patch6: detect-0.9.72-alpha.patch.bz2
Patch7: detect-0.9.72-cpu-detect-ppc.patch.bz2
Group: System/Kernel and hardware
%ifarch %{ix86}
BuildRequires: isapnptools-devel
%endif
BuildRequires: autoconf automake bison gcc gettext texinfo
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prefix: %{_prefix}
%ifarch %{ix86} 
Requires: isapnptools >= 1.21, detect-lst
%endif
Requires: %{libname} = %{version}

%description
Libdetect is a library for hardware detection. The API is easy to learn.
The following hardware can be detected:

-CPU
-Memory
-Disk & partitions
-Ethernet cards
-Floppy drives
-Modem
-Mouse
-SCSI
-Sound cards
-Video cards
-Scanners

This package contains the detect utility, which is also the core component of
harddrake.

%package -n %{libname}
Summary: The detect library itself. Necessary to run the detect utility.
Provides: libdetect
Group: System/Libraries

%description -n %{libname}
Libdetect is a library for hardware detection. The API is easy to learn.
The following hardware can be detected:

-CPU
-Memory
-Disk & partitions
-Ethernet cards
-Floppy drives
-Modem
-Mouse
-SCSI
-Sound cards
-Video cards
-Scanners

This package contains the detect library itself, necessary to run the detect
utility.

%package -n %{libname}-devel
Summary: Header files and libraries for developing apps which will use detect
Group: Development/C
Requires: %{libname} = %{version}
Provides: detect-devel, libdetect-devel
Obsoletes: detect-devel

%description -n %{libname}-devel
Detect is a library for hardware detection. The API is easy to learn.
The following hardware can be detected:

-CPU
-Memory
-Disk & partitions
-Ethernet cards
-Floppy drives
-Modem
-Mouse
-SCSI
-Sound cards
-Video cards
-Scanners

Install the libdetect-devel package if you want to develop applications that
will use the libdetect library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n detect
%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%ifarch ppc
%patch5 -p1
%patch7 -p1
%endif
%ifarch alpha
%patch6 -p1
%endif

libtoolize -f

%build
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/isapnp" ./autogen.sh \
	--prefix=%{prefix} \
	--sysconfdir=%{_sysconfdir}
cat po/Makefile.in > po/Makefile
make

%install
%makeinstall
#make install \
#	prefix=$RPM_BUILD_ROOT%{prefix} \
#	mandir=$RPM_BUILD_ROOT%{_mandir} \
#	libdir=$RPM_BUILD_ROOT%{_libdir} \
#	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
#	datadir=$RPM_BUILD_ROOT%{_datadir} \
#	includedir=$RPM_BUILD_ROOT%{_includedir}

#not installed by make install script
(
	cd $RPM_BUILD_ROOT%{prefix}/lib && {
		ln -s libdetect.so.0.0.0 libdetect.so.0
		ln -s libdetect.so.0.0.0 libdetect.so
	}
)

%find_lang detect

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO VERSION docs/FAQ
%{_sbindir}/detect

%files -n %{libname} -f detect.lang
%defattr(-,root,root)
%{_libdir}/libdetect.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc docs/Programming docs/API docs/ISA-Structure docs/PCI-Structure
%{_libdir}/libdetect.la
%{_libdir}/libdetect.a
%{_libdir}/libdetect.so
%{_includedir}/detect.h

%changelog
* Tue Mar  5 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.72-14mdk
- correct PPC cpu detect segfault

* Fri Feb 22 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9.72-13mdk
- integrated Basque (and others) translation

* Fri Feb 01 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.72-12mdk
- BuildRequires

* Sat Jan 19 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.72-11mdk
- patch6: fix alpha build
- s/Copyright/License/

* Sat Jun 23 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.72-10mdk
- run libtoolize -f as last part of %%prep, to fix build

* Thu May 17 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.72-9mdk
- adapt to kernel version for PPC build

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.72-8mdk
- A quick hack to fix a po Makefile oddity aka make it build.

* Tue Mar 27 2001 Francis Galiegue <fg@mandrakesoft.com> 0.9.72-7mdk

- ia64: make SuperProbe pick the correct {in,out}[bwl] macros

* Thu Feb 01 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.72-6mdk
- changed result->board_id to result->long_id for ppc

* Tue Jan 30 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.72-5mdk
- changed result->id to result->board_id for ppc
- removed HARDWARE from %doc - no file in package

* Thu Jan 11 2001 Francis Galiegue <fg@mandrakesoft.com> 0.9.72-4mdk

- New lib policy:
  * now split into libdetect0 and -devel
  * fixed requires and provides
- Some spec file changes

* Tue Sep 12 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.72-3mdk
- Patched with some modifs from CVS version(handle opl3 and mpu401 in sound).
- Sync with latest fr.po from CVS(updated by David Baudens).

* Thu Aug 31 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.72-2mdk
- Use %{ix86} macro(thanks to gc).

* Thu Aug 31 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.72-1mdk
- 0.9.72

* Tue Aug 29 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.71-1mdk
- Removed i18n patch(obsolete now).
- 0.9.71

* Thu Aug 10 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.70-3mdk
- Patched to used dgettext instead of gettext.

* Tue Aug 08 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.70-2mdk
- Updated Group.
- Move some docs to devel section.
- Removed references of lst files(in detect-lst package now).
- Added detect-lst requires.

* Mon Jul 31 2000 Stefan Siegel <siegel@linux-mandrake.com> 0.9.70-1mdk
- BM
- isapnptools required only on i386 i486 i586 i686 k6 k7

* Mon Jul 31 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.60-2mdk
- Rebuilt to update %doc section.

* Mon Jul 17 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.60-1mdk
- 0.9.6
- Added usb.lst in files section.

* Tue Jul 04 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.51-3mdk
- pci.lst updates.
- isa.lst updates.
- Isapnptools headers are in /usr/include/isapnp now.

* Tue Jun 27 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.51-2mdk
- Group fix.
- Added ldconfig in %post section.

* Wed Jun 21 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.51-1mdk
- 0.9.51 version!

* Fri May 19 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.41-2mdk
- Fixed %doc section.

* Fri May 19 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.41-1mdk
- 0.9.41 version!

* Tue May 12 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.40-2mdk
- Updated source field.

* Tue May 12 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.40-1mdk
- Mandrake compliant again.
- 0.9.40

* Tue Feb 29 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.9.35

* Wed Feb 09 2000 Alexandre Dussart <adussart@amdnrakesoft.com>
- 0.9.34

* Thu Feb 03 2000 Alexandre Dussart <adussart@amdnrakesoft.com>
- Remove deprecated cpu patch.
- 0.9.33

* Fri Jan 28 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- Added patch to properly set up path to cpuinfo.
- Added k7 arch.

* Thu Jan 27 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.9.32
- Added documentations.
- Added k6 arch.

* Tue Jan 04 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.9.31 version(still experimental)
- Don't install pcmcia.lst anymore(made by make install now).
- Added isapnptools require.

* Tue Jan 04 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- Updated isa.lst
- Updated pci.lst

* Wed Dec 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix security bugs, (yep the fault of Alex & Titi together :\).

* Tue Dec 07 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Updated isa.lst.
- Fixed security bug(Dark Titi sucks, chmou-compliant).

* Tue Nov 09 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Cleaned %files section.

* Mon Oct 25 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Removed CXXFLAGS (only for C++)
- Removed  make -e option(Dark Titi sucks)
- 0.9.29

* Thu Sep 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.28d (for Debuged)

* Thu Sep 28 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.9.28

* Thu Sep 24 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.9.27

* Thu Sep 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.9.26

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.22
- Re-Splitting devel / librairies that dark chmouel did (dark alex has revoke
  it).

* Tue Aug 17 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.21
- build for cooker
- cleaned spec
- thanks Dark Alex for moving files

* Fri Jul  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Not all have a SMP machines ;-).
- Use %_prefix of new rpm-3.0.2.

* Thu Jul 8 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- fixed problem with ExclusiveArch preventing i686 from building
- cleaned up the spec file
- RPM_BUILD_ROOT is not used at run-time anymore
- rpm installs the docs now.
- striping now done to the files to make them smaller
- pcmcia.lst is now copied to prefix/share/detect

* Tue Jul  6 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- moved the databases into /usr/share/detect/
- optimizations for 686

* Sat Jul 3 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- fixed a small bug

* Thu Jul 1 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- updating to version 0.9.18
- Added %BuildRoot and %Prefix variables to the spec file
- Edited files, added pcmcial.lst database

* Wed Apr 21 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- updated the RPM to version 0.9.17
- updated the doc section

* Tue Apr 20 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- French description translation.
- Updated to latest detect CVS.

* Tue Apr 06 1999 Alexandre Dussart <adussart@mandrakesoft.com>
-Updated description.
-Incorporate documentation.

* Fri Mar 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
